IvyReport
Date: 2013-01-10

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ivy.ant
Class IvyReport

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.ivy.ant.IvyTask
                  org.apache.ivy.ant.IvyReport

All Implemented Interfaces:
  java.lang.Cloneable

    public class IvyReport

extends IvyTask

This ant task let users generates reports (html, xml, graphml, ...) from the last resolve done.

Field Summary

Fields inherited from class org.apache.ivy.ant.IvyTask
`ANT_PROJECT_CONTEXT_KEY`

Fields inherited from class org.apache.tools.ant.Task
`target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`description, location, project`

Constructor Summary
`IvyReport()`

Method Summary
`org.apache.tools.ant.taskdefs.XSLTProcess.Param` | `createParam()`
`void` | `doExecute()` The real logic of task execution after project has been set in the context.
`java.lang.String` | `getConf()`
`java.lang.String` | `getModule()`
`java.lang.String` | `getOrganisation()`
`java.lang.String` | `getOutputpattern()`
`java.lang.String` | `getResolveId()`
`java.io.File` | `getTodir()`
`java.lang.String` | `getXslext()`
`java.io.File` | `getXslfile()`
`boolean` | `isDot()`
`boolean` | `isGraph()`
`boolean` | `isXml()`
`boolean` | `isXsl()`
`void` | `setCache(java.io.File cache)`
`void` | `setConf(java.lang.String conf)`
`void` | `setDot(boolean dot)`
`void` | `setGraph(boolean graph)`
`void` | `setModule(java.lang.String module)`
`void` | `setOrganisation(java.lang.String organisation)`
`void` | `setOutputpattern(java.lang.String outputpattern)`
`void` | `setResolveId(java.lang.String resolveId)`
`void` | `setTodir(java.io.File todir)`
`void` | `setXml(boolean xml)`
`void` | `setXsl(boolean xsl)`
`void` | `setXslext(java.lang.String xslext)`
`void` | `setXslfile(java.io.File xslFile)`

Methods inherited from class org.apache.ivy.ant.IvyTask
`cacheAttributeNotSupported, doValidate, execute, finalizeTask, getIvyInstance, getProperty, getProperty, getProperty, getProperty, getPubDate, getResolvedConfigurations, getResolvedDescriptor, getResolvedDescriptor, getResolvedDescriptor, getResolvedDescriptor, getResolvedReport, getSettings, getSettingsRef, isValidate, mergeConfs, prepareTask, setResolved, setResolved, setSettingsRef, setValidate, splitConfs, toString`

Methods inherited from class org.apache.tools.ant.Task
`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IvyReport

    public IvyReport()

Method Detail

### getTodir

    public java.io.File getTodir()

### setTodir

    public void setTodir(java.io.File todir)

### setCache

    public void setCache(java.io.File cache)

### getConf

    public java.lang.String getConf()

### setConf

    public void setConf(java.lang.String conf)

### getModule

    public java.lang.String getModule()

### setModule

    public void setModule(java.lang.String module)

### getOrganisation

    public java.lang.String getOrganisation()

### setOrganisation

    public void setOrganisation(java.lang.String organisation)

### isGraph

    public boolean isGraph()

### setGraph

    public void setGraph(boolean graph)

### getXslfile

    public java.io.File getXslfile()

### setXslfile

    public void setXslfile(java.io.File xslFile)

### getOutputpattern

    public java.lang.String getOutputpattern()

### setOutputpattern

    public void setOutputpattern(java.lang.String outputpattern)

### getResolveId

    public java.lang.String getResolveId()

### setResolveId

    public void setResolveId(java.lang.String resolveId)

### doExecute

    public void doExecute()
                   throws org.apache.tools.ant.BuildException

  Description copied from class: `IvyTask`
  The real logic of task execution after project has been set in the context. MUST be implemented by subclasses

  Specified by:
    `doExecute` in class `IvyTask`
  Throws:
    `org.apache.tools.ant.BuildException`

### isXml

    public boolean isXml()

### setXml

    public void setXml(boolean xml)

### isXsl

    public boolean isXsl()

### setXsl

    public void setXsl(boolean xsl)

### getXslext

    public java.lang.String getXslext()

### setXslext

    public void setXslext(java.lang.String xslext)

### createParam

    public org.apache.tools.ant.taskdefs.XSLTProcess.Param createParam()

### isDot

    public boolean isDot()

### setDot

    public void setDot(boolean dot)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD